%define pypi_name django-discover-runner

Name:           python-%{pypi_name}
Version:        1.0
Release:        %mkrel 8
Summary:        A Django test runner based on unittest2's test discovery
Group:          Development/Python
License:        BSD
URL:            https://github.com/jezdez/django-discover-runner
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
An alternative Django TEST_RUNNER which uses the unittest2 test discovery
from a base path specified in the settings, or any other module or package
specified to the test management command -- including app tests.

%package -n python3-django-discover-runner
Summary:        A Django test runner based on unittest2's test discovery
Group:          Development/Python
Requires:       python3-unittest2

%description -n python3-django-discover-runner
An alternative Django TEST_RUNNER which uses the unittest2 test discovery
from a base path specified in the settings, or any other module or package
specified to the test management command -- including app tests.
This package includes Python 3 build of django-discover-runner.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-django-discover-runner
%doc README.rst
%license LICENSE
%{python3_sitelib}/discover_runner
%{python3_sitelib}/django_discover_runner-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.0-8.mga8
+ Revision: 1535239
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.0-7.mga8
+ Revision: 1451607
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 1.0-6.mga8
+ Revision: 1430938
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 1.0-5.mga7
+ Revision: 1355178
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0-4.mga7
+ Revision: 1288684
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0-3.mga7
+ Revision: 1135377
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.0-2.mga6
+ Revision: 971236
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 philippem <philippem> 1.0-1.mga6
+ Revision: 890008
- imported package python-django-discover-runner

